petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexVecRestoreClosure

Restore the array of the values on the closure of 'point'

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexVecRestoreClosure(DM dm, PetscSection section, Vec v, PetscInt point, PetscInt *csize, PetscScalar *values[])

Not collective Many br

### Input Parameters

| dm | - The DM Many br
| section | - The section describing the layout in v, or NULL to use the default section Many br
| v | - The local vector Many br
| point | - The sieve point in the DM Many br
| csize | - The number of values in the closure, or NULL Many br
| values | - The array of values, which is a borrowed array and should not be freed Many br

### Fortran Notes

Since it returns an array, this routine is only available in Fortran 90, and you must Many brinclude petsc.h90 in your code. Many br

The csize argument is not present in the Fortran 90 binding since it is internal to the array. Many br

Many br

### See Also

DMPlexVecGetClosure(), DMPlexVecSetClosure(), DMPlexMatSetClosure()

Level:intermediate
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex77.c.html